Bug 1297657 - Headphones not detected after reboot
Headphones not detected after reboot
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 01:42 EST by Isaac Lenton
Modified: 2017-11-16 14:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-23 18:02:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Isaac Lenton 2016-01-12 01:42:09 EST
Description of problem:
When I leave my headphones plugged in and reboot my Dell XPS12 laptop they are not detected until I unplug and plug them in again.


Version-Release number of selected component (if applicable):
Not sure which component/version is applicable.  I can provide more information if needed.

How reproducible:
Always


Steps to Reproduce:
1. Boot laptop and login
2. Plug in headphones
3. Restart laptop and login
4. Headphones not detected, sound played through built-in speakers
5. Unplug and plug headphones, sound now plays through headphones

Actual results:
Headphones are not detected when the system is rebooted until they are unplugged and replugged.

Expected results:
Headphones should be detected when the system is booted.

Additional info:
The behaviour is only reproduced when I reboot, if I instead only log out and log back in again the headphones are detected as expected.

Sometimes unplugging the headphones and plugging them back in does not fix the problem, instead suspending and resuming fixes the problem.  However, this is behaviour is more intermittent (may have only been before upgrading from Fedora 21).
Comment 1 Laura Abbott 2016-09-23 15:25:33 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 2 Laura Abbott 2016-10-26 12:44:27 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 3 Isaac Lenton 2016-12-13 03:46:57 EST
Just updated to Fedora 25 (4.8.12-300.fc25), the problem is still present.
Comment 4 Laura Abbott 2017-01-16 20:12:40 EST
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.
Comment 5 Laura Abbott 2017-02-23 18:02:30 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 6 Isaac Lenton 2017-03-20 10:37:50 EDT
Hi, This behaviour is still present on Fedora 25 Kernel: 4.9.14-200.fc25.x86_64 Cheers, Isaac.
Comment 7 Fedora End Of Life 2017-11-16 14:06:37 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.